UbuntuUpdates.org

Package "gnutls28"

Name: gnutls28

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • GNU TLS library - commandline utilities
  • GNU TLS library - GNU Guile bindings

Latest version: 3.7.1-3ubuntu1
Release: hirsute (21.04)
Level: base
Repository: universe

Links



Other versions of "gnutls28" in Hirsute

Repository Area Version
base main 3.7.1-3ubuntu1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 3.7.1-3ubuntu1 2021-04-15 21:07:07 UTC

  gnutls28 (3.7.1-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
  * Fix FTBFS with lto - reduce parallelism to 2. LP: #1922004
  * Merge CVE fixes CVE-2021-20231 CVE-2021-20232

1922004 gnutls28 OOM's on arm64, ppc64el and s390x with lto
CVE-2021-20231 A flaw was found in gnutls. A use after free issue in client sending key_share extension may lead to memory corruption and other consequences.
CVE-2021-20232 A flaw was found in gnutls. A use after free issue in client_send_params in lib/ext/pre_shared_key.c may lead to memory corruption and other potentia



About   -   Send Feedback to @ubuntu_updates